Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Body

application/json

Request body for examining earning rules. When trigger.type is SPECIFIC, the context object matching the specific event is required and the other context objects must not be present: customer.order.paid -> customer_order_paid, customer.segment.entered -> customer_segment_entered, customer.custom_event -> customer_custom_event.

trigger
object
required

Which trigger events to examine. With ALL, all trigger events are examined and specific must be null/absent. With SPECIFIC, specific is required.

customer_identification
object
required

How the examined customer is identified. Depending on type, exactly one of customer_id, customer_source_id or member_id is required; the other two must not be present.

customer_order_paid
object

Context for examining customer.order.paid earning rules.

customer_segment_entered
object

Context for examining customer.segment.entered earning rules.

customer_custom_event
object

Context for examining customer.custom_event earning rules. With type = ALL, all is required and specific must be null/absent. With SPECIFIC, specific is required and all must be null/absent.

Response

Earning rules examination result

Earning rules examination result.

event
string

Examined trigger event (e.g. customer.order.paid, customer.segment.entered, customer.custom_event).

customer
object

Customer reference in examine results.

earning_rules
object[]

All earning rules that matched during examination (deduplicated).

memberships
object[]

Earning opportunities per program membership.

object
string

Object type marker. Always earnings_examine_result.

Allowed value: "earnings_examine_result"
Last modified on July 27, 2026